<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>gimpbrushselectbutton: GIMP Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Library Reference Manual">
<link rel="up" href="libgimp-selectors.html" title="Controlling the Core's Selection Dialogs">
<link rel="prev" href="GimpSelectButton.html" title="GimpSelectButton">
<link rel="next" href="GimpFontSelectButton.html" title="GimpFontSelectButton">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpBrushSelectButton.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpBrushSelectButton.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpBrushSelectButton.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpBrushSelectButton.properties" class="shortcut">Properties</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpBrushSelectButton.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimp-selectors.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpSelectButton.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpFontSelectButton.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpBrushSelectButton"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpBrushSelectButton.top_of_page"></a>gimpbrushselectbutton</span></h2>
<p>gimpbrushselectbutton — A button that pops up a brush selection dialog.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpBrushSelectButton.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpBrushSelectButton.html#gimp-brush-select-button-new" title="gimp_brush_select_button_new ()">gimp_brush_select_button_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">const  <a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpBrushSelectButton.html#gimp-brush-select-button-get-brush" title="gimp_brush_select_button_get_brush ()">gimp_brush_select_button_get_brush</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpBrushSelectButton.html#gimp-brush-select-button-set-brush" title="gimp_brush_select_button_set_brush ()">gimp_brush_select_button_set_brush</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpBrushSelectButton.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type">
<a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="GimpBrushSelectButton.html#GimpBrushSelectButton--brush-name" title="The “brush-name” property">brush-name</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="GimpBrushSelectButton.html#GimpBrushSelectButton--brush-opacity" title="The “brush-opacity” property">brush-opacity</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="GimpBrushSelectButton.html#GimpBrushSelectButton--brush-paint-mode" title="The “brush-paint-mode” property">brush-paint-mode</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="GimpBrushSelectButton.html#GimpBrushSelectButton--brush-spacing" title="The “brush-spacing” property">brush-spacing</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type">
<a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</td>
<td class="property_name"><a class="link" href="GimpBrushSelectButton.html#GimpBrushSelectButton--title" title="The “title” property">title</a></td>
<td class="property_flags">Read / Write / Construct Only</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpBrushSelectButton.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody><tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpBrushSelectButton.html#GimpBrushSelectButton-brush-set" title="The “brush-set” signal">brush-set</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpBrushSelectButton.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpBrushSelectButton.html#GimpBrushSelectButton-struct" title="GimpBrushSelectButton">GimpBrushSelectButton</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpBrushSelectButton.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBox.html#GtkBox-struct">GtkBox</a>
                        <span class="lineart">╰──</span> <a class="link" href="GimpSelectButton.html" title="GimpSelectButton">GimpSelectButton</a>
                            <span class="lineart">╰──</span> GimpBrushSelectButton
</pre>
</div>
<div class="refsect1">
<a name="GimpBrushSelectButton.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpBrushSelectButton implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpBrushSelectButton.description"></a><h2>Description</h2>
<p>A button that pops up a brush selection dialog.</p>
</div>
<div class="refsect1">
<a name="GimpBrushSelectButton.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-brush-select-button-new"></a><h3>gimp_brush_select_button_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_brush_select_button_new (<em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *title</code></em>,
                              <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *brush_name</code></em>,
                              <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> opacity</code></em>,
                              <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> spacing</code></em>,
                              <em class="parameter"><code><a class="link" href="libgimp-gimpenums.html#GimpLayerMode" title="enum GimpLayerMode"><span class="type">GimpLayerMode</span></a> paint_mode</code></em>);</pre>
<p>Creates a new <a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> that completely controls the selection of
a <span class="type">GimpBrush</span>.  This widget is suitable for placement in a table in
a plug-in dialog.</p>
<div class="refsect3">
<a name="gimp-brush-select-button-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>title</p></td>
<td class="parameter_description"><p>Title of the dialog to use or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> means to use the default
title.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>brush_name</p></td>
<td class="parameter_description"><p>Initial brush name or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> to use current selection.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>opacity</p></td>
<td class="parameter_description"><p>Initial opacity. -1 means to use current opacity.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>spacing</p></td>
<td class="parameter_description"><p>Initial spacing. -1 means to use current spacing.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>paint_mode</p></td>
<td class="parameter_description"><p>Initial paint mode.  -1 means to use current paint mode.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-brush-select-button-new.returns"></a><h4>Returns</h4>
<p> A <a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> that you can use in your UI.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-brush-select-button-get-brush"></a><h3>gimp_brush_select_button_get_brush ()</h3>
<pre class="programlisting">const  <a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
gimp_brush_select_button_get_brush (<em class="parameter"><code><a class="link" href="GimpBrushSelectButton.html" title="gimpbrushselectbutton"><span class="type">GimpBrushSelectButton</span></a> *button</code></em>,
                                    <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> *opacity</code></em>,
                                    <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> *spacing</code></em>,
                                    <em class="parameter"><code><a class="link" href="libgimp-gimpenums.html#GimpLayerMode" title="enum GimpLayerMode"><span class="type">GimpLayerMode</span></a> *paint_mode</code></em>);</pre>
<p>Retrieves the properties of currently selected brush.</p>
<div class="refsect3">
<a name="gimp-brush-select-button-get-brush.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpBrushSelectButton.html" title="gimpbrushselectbutton"><span class="type">GimpBrushSelectButton</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>opacity</p></td>
<td class="parameter_description"><p>Opacity of the selected brush.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>spacing</p></td>
<td class="parameter_description"><p>Spacing of the selected brush.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>paint_mode</p></td>
<td class="parameter_description"><p>Paint mode of the selected brush.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-brush-select-button-get-brush.returns"></a><h4>Returns</h4>
<p> an internal copy of the brush name which must not be freed.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-brush-select-button-set-brush"></a><h3>gimp_brush_select_button_set_brush ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_brush_select_button_set_brush (<em class="parameter"><code><a class="link" href="GimpBrushSelectButton.html" title="gimpbrushselectbutton"><span class="type">GimpBrushSelectButton</span></a> *button</code></em>,
                                    <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *brush_name</code></em>,
                                    <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> opacity</code></em>,
                                    <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> spacing</code></em>,
                                    <em class="parameter"><code><a class="link" href="libgimp-gimpenums.html#GimpLayerMode" title="enum GimpLayerMode"><span class="type">GimpLayerMode</span></a> paint_mode</code></em>);</pre>
<p>Sets the current brush and other values for the brush select
button.</p>
<div class="refsect3">
<a name="gimp-brush-select-button-set-brush.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>A <a class="link" href="GimpBrushSelectButton.html" title="gimpbrushselectbutton"><span class="type">GimpBrushSelectButton</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>brush_name</p></td>
<td class="parameter_description"><p>Brush name to set; <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> means no change.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>opacity</p></td>
<td class="parameter_description"><p>Opacity to set. -1.0 means no change.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>spacing</p></td>
<td class="parameter_description"><p>Spacing to set. -1 means no change.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>paint_mode</p></td>
<td class="parameter_description"><p>Paint mode to set.  -1 means no change.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpBrushSelectButton.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpBrushSelectButton-struct"></a><h3>GimpBrushSelectButton</h3>
<pre class="programlisting">typedef struct _GimpBrushSelectButton GimpBrushSelectButton;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpBrushSelectButton.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpBrushSelectButton--brush-name"></a><h3>The <code class="literal">“brush-name”</code> property</h3>
<pre class="programlisting">  “brush-name”               <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>The name of the currently selected brush.</p>
<p>Flags: Read / Write</p>
<p>Default value: NULL</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpBrushSelectButton--brush-opacity"></a><h3>The <code class="literal">“brush-opacity”</code> property</h3>
<pre class="programlisting">  “brush-opacity”            <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>The opacity of the currently selected brush.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-1,100]</p>
<p>Default value: -1</p>
</div>
<hr>
<div class="refsect2">
<a name="GimpBrushSelectButton--brush-paint-mode"></a><h3>The <code class="literal">“brush-paint-mode”</code> property</h3>
<pre class="programlisting">  “brush-paint-mode”         <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The paint mode of the currently selected brush.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-1,56]</p>
<p>Default value: -1</p>
</div>
<hr>
<div class="refsect2">
<a name="GimpBrushSelectButton--brush-spacing"></a><h3>The <code class="literal">“brush-spacing”</code> property</h3>
<pre class="programlisting">  “brush-spacing”            <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The spacing of the currently selected brush.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [-2147483647,1000]</p>
<p>Default value: -1</p>
</div>
<hr>
<div class="refsect2">
<a name="GimpBrushSelectButton--title"></a><h3>The <code class="literal">“title”</code> property</h3>
<pre class="programlisting">  “title”                    <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *</pre>
<p>The title to be used for the brush selection popup dialog.</p>
<p>Flags: Read / Write / Construct Only</p>
<p>Default value: "Brush Selection"</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpBrushSelectButton.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpBrushSelectButton-brush-set"></a><h3>The <code class="literal">“brush-set”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpBrushSelectButton.html" title="gimpbrushselectbutton"><span class="type">GimpBrushSelectButton</span></a> *widget,
               <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a>                 *brush_name,
               <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a>                opacity,
               <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a>                   spacing,
               <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a>                   paint_mode,
               <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a>                   width,
               <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a>                   height,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>               mask_data,
               <a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a>               dialog_closing,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>               user_data)</pre>
<p>The ::brush-set signal is emitted when the user selects a brush.</p>
<div class="refsect3">
<a name="GimpBrushSelectButton-brush-set.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>widget</p></td>
<td class="parameter_description"><p>the object which received the signal.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>brush_name</p></td>
<td class="parameter_description"><p>the name of the currently selected brush.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>opacity</p></td>
<td class="parameter_description"><p>opacity of the brush</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>spacing</p></td>
<td class="parameter_description"><p>spacing of the brush</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>paint_mode</p></td>
<td class="parameter_description"><p>paint mode of the brush</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>width</p></td>
<td class="parameter_description"><p>width of the brush</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>height</p></td>
<td class="parameter_description"><p>height of the brush</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>mask_data</p></td>
<td class="parameter_description"><p>brush mask data</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>dialog_closing</p></td>
<td class="parameter_description"><p>whether the dialog was closed or not.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>user_data</p></td>
<td class="parameter_description"><p>user data set when the signal handler was connected.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>